## com.crystaldecisions.report.web.viewer
Class DrillDownSubreportEventArgs

    java.lang.Object
      java.util.EventObject
          com.crystaldecisions.report.web.viewer.ViewerEventArgs
              com.crystaldecisions.report.web.viewer.DrillDownSubreportEventArgs

All Implemented Interfaces:
  java.io.Serializable

public class DrillDownSubreportEventArgs
extends ViewerEventArgs

This class provides arguments for the Subreport DrillDown Event listener.

See Also:
  Serialized Form

Constructor Summary
`DrillDownSubreportEventArgs(java.lang.Object source, SubreportRequestContext oldSubreportContext, SubreportRequestContext newSubreportContext)`

Method Summary
`java.lang.String` | `getCurrentSubreportName()` Returns the name of the current subreport.
`int` | `getCurrentSubreportPageNumber()` Returns the page number for the current subreport.
`int` | `getCurrentXOffset()` Returns the current X offset.
`int` | `getCurrentYOffset()` Returns the current Y offset.
`java.lang.String` | `getNewSubreportName()` Returns the new subreport name.
`int` | `getNewSubreportPageNumber()` Returns the new subreport page number.
`int` | `getNewXOffset()` Returns the new X offset.
`int` | `getNewYOffset()` Returns the new Y offset.

Methods inherited from class com.crystaldecisions.report.web.viewer.ViewerEventArgs
`isHandled, setHandled`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DrillDownSubreportEventArgs

    public DrillDownSubreportEventArgs(java.lang.Object source,
                                       SubreportRequestContext oldSubreportContext,
                                       SubreportRequestContext newSubreportContext)

Method Detail

### getCurrentSubreportName

    public java.lang.String getCurrentSubreportName()

  Returns the name of the current subreport.

  Returns:
    The name of the current subreport as a `String`.

### getCurrentSubreportPageNumber

    public int getCurrentSubreportPageNumber()

  Returns the page number for the current subreport.

  Returns:
    The page number for the current subreport as an `int`.

### getCurrentXOffset

    public int getCurrentXOffset()

  Returns the current X offset. The unit is browser-dependent.

  Returns:
    The value of the current X offset as an `int`.

### getCurrentYOffset

    public int getCurrentYOffset()

  Returns the current Y offset. The unit is browser-dependent.

  Returns:
    The value of the current Y offset as an `int`.

### getNewSubreportName

    public java.lang.String getNewSubreportName()

  Returns the new subreport name.

  Returns:
    The name of the new subreport as a `String`.

### getNewSubreportPageNumber

    public int getNewSubreportPageNumber()

  Returns the new subreport page number.

  Returns:
    The new subreport page number as an `int`.

### getNewXOffset

    public int getNewXOffset()

  Returns the new X offset. The unit is browser-dependent.

  Returns:
    The value of the new X offset as an `int`.

### getNewYOffset

    public int getNewYOffset()

  Returns the new Y offset. The unit is browser-dependent.

  Returns:
    The value of the new X offset as an `int`.